/* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef SOAP_COMMON_H
#define SOAP_COMMON_H 1

#if HAVE_CONFIG_H
#	include "config.h"
#endif

#include <stdio.h>

#if STDC_HEADERS
#       include <string.h>
#elif HAVE_STRINGS_H
#       include <strings.h>
#endif /* STDS_HEADERS */

#if HAVE_SYS_SOCKET_H
#	include <sys/socket.h>
#endif

#if HAVE_SYS_TYPES_H
#	include <sys/types.h>
#endif

#if HAVE_STAT_H
#	include <stat.h>
#endif

#if HAVE_SIGNAL_H
#	include <signal.h>
#endif

#if HAVE_FCNTL_H
#	include <fcntl.h>
#endif

#if HAVE_NETINET_IN_H
#	include <netinet/in.h>
#endif

#if HAVE_PTHREAD_H
#	include <pthread.h>
#endif

#if HAVE_TIME_H
#	include <time.h>
#endif

#if HAVE_STDARG_H
#	include <stdarg.h>
#endif

#endif /* SOAP_COMMON_H */
