/* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
* 
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __SOAP_CONFIG_HPP
#define __SOAP_CONFIG_HPP

#define PRODUCT_NAME		"Soap"

/* Default configuration settings */
#define DEF_SERVICE_HOST	"localhost"			/* Service host name or ip */
#define DEF_SERVICE_PORT	8001				/* Service TCP port */
#define DEF_THREADS		5				/* Number of Threads */
#define DEF_LOG_FILE		"/usr/tmp/prolingaSoap.log"	/* Log file */
#define DEF_LOG_LEVEL		2				/* Log level */

/* gSOAP settings */
#define SOAP_ACTION		""

#endif /* __SOAP_CONFIG_HPP */
